
/*
 updown_fade

 This example shows how to fade an LED in/out using the analogWrite() function.

 The circuit:
 * LED (+) attached to pin 1. (3.3v w/ resistor)
 * motion sensor 'signal' will be attached to pin 2 (for now I am just attaching and detatching a 3.3v lead to pin2)
 * digispark microcontroller on breadboard (prototyping)

 Created 7/15/2017
 By John A. Austin





 */
int sensorValue = 0; //analog value of sensorPin (P0) when off
int sensorPin = 2;  //motion sensor out pin connected to digital pin 2 (P0 on digispark)
int ledPin = 11;    // LED connected to digital pin 1
int fadeValue = 0; //initial led brightness (variable)
//int analogValue = analogRead(ledPin);

void setup()
{
// initialize the sensorPin as an input:
  pinMode(sensorPin, INPUT);
// initialize the ledPin as an output:
  pinMode(ledPin, OUTPUT);
}





void loop() {


if(digitalRead(sensorPin) == HIGH) {    // start of IF condition

for (int fadeValue = 0 ; fadeValue <= 255 ; fadeValue += 1)
{
analogWrite(ledPin, fadeValue);
delay(235);
}


analogWrite(ledPin, 0);
delay(2000);
analogWrite(ledPin, 5);
delay(5000);

for (int fadeValue = 255 ; fadeValue >= 0; fadeValue -= 1)
analogWrite(ledPin, fadeValue);
delay(125);
analogWrite(ledPin, 5);
delay(5000);

}                               // end of IF condition


else {                           // start of Else
analogWrite(ledPin, 255);
delay(500);
analogWrite(ledPin, 0);
delay(500);
 //loop(5);
}                             // end of Esle

}         // end of main Loop













































